# This file was autogenerated

# This file generated on: 2013-06-02

# IANA link relation registry last updated on: 2013-03-21
# Obtained from http://www.iana.org/assignments/link-relations/link-relations.xml

iana_rels = {
    'about': (
        "Refers to a resource that is the subject of the link's context."
    ),
    'alternate': (
        "Refers to a substitute for this context"
    ),
    'appendix': (
        "Refers to an appendix."
    ),
    'archives': (
        "Refers to a collection of records, documents, or other materials of "
        "historical interest."
    ),
    'author': (
        "Refers to the context's author."
    ),
    'bookmark': (
        "Gives a permanent link to use for bookmarking purposes."
    ),
    'canonical': (
        "Designates the preferred version of a resource (the IRI and its "
        "contents)."
    ),
    'chapter': (
        "Refers to a chapter in a collection of resources."
    ),
    'collection': (
        "The target IRI points to a resource which represents the collection "
        "resource for the context IRI."
    ),
    'contents': (
        "Refers to a table of contents."
    ),
    'copyright': (
        "Refers to a copyright statement that applies to the link's context."
    ),
    'create-form': (
        "The target IRI points to a resource where a submission form can be "
        "obtained."
    ),
    'current': (
        "Refers to a resource containing the most recent item(s) in a "
        "collection of resources."
    ),
    'describedby': (
        "Refers to a resource providing information about the link's context."
    ),
    'describes': (
        "The relationship A 'describes' B asserts that resource A provides a "
        "description of resource B. There are no constraints on the format or "
        "representation of either A or B, neither are there any further "
        "constraints on either resource."
    ),
    'disclosure': (
        "Refers to a list of patent disclosures made with respect to material "
        "for which 'disclosure' relation is specified."
    ),
    'duplicate': (
        "Refers to a resource whose available representations are "
        "byte-for-byte identical with the corresponding representations of "
        "the context IRI."
    ),
    'edit': (
        "Refers to a resource that can be used to edit the link's context."
    ),
    'edit-form': (
        "The target IRI points to a resource where a submission form for "
        "editing associated resource can be obtained."
    ),
    'edit-media': (
        "Refers to a resource that can be used to edit media associated with "
        "the link's context."
    ),
    'enclosure': (
        "Identifies a related resource that is potentially large and might "
        "require special handling."
    ),
    'first': (
        "An IRI that refers to the furthest preceding resource in a series of "
        "resources."
    ),
    'glossary': (
        "Refers to a glossary of terms."
    ),
    'help': (
        "Refers to context-sensitive help."
    ),
    'hosts': (
        "Refers to a resource hosted by the server indicated by the link "
        "context."
    ),
    'hub': (
        "Refers to a hub that enables registration for notification of "
        "updates to the context."
    ),
    'icon': (
        "Refers to an icon representing the link's context."
    ),
    'index': (
        "Refers to an index."
    ),
    'item': (
        "The target IRI points to a resource that is a member of the "
        "collection represented by the context IRI."
    ),
    'last': (
        "An IRI that refers to the furthest following resource in a series of "
        "resources."
    ),
    'latest-version': (
        "Points to a resource containing the latest (e.g., current) version "
        "of the context."
    ),
    'license': (
        "Refers to a license associated with this context."
    ),
    'lrdd': (
        "Refers to further information about the link's context, expressed as "
        "a LRDD (\"Link-based Resource Descriptor Document\") resource. See"
    ),
    'monitor': (
        "Refers to a resource that can be used to monitor changes in an HTTP "
        "resource."
    ),
    'monitor-group': (
        "Refers to a resource that can be used to monitor changes in a "
        "specified group of HTTP resources."
    ),
    'next': (
        "Indicates that the link's context is a part of a series, and that "
        "the next in the series is the link target."
    ),
    'next-archive': (
        "Refers to the immediately following archive resource."
    ),
    'nofollow': (
        "Indicates that the contexts original author or publisher does not "
        "endorse the link target."
    ),
    'noreferrer': (
        "Indicates that no referrer information is to be leaked when "
        "following the link."
    ),
    'payment': (
        "Indicates a resource where payment is accepted."
    ),
    'predecessor-version': (
        "Points to a resource containing the predecessor version in the "
        "version history."
    ),
    'prefetch': (
        "Indicates that the link target should be preemptively cached."
    ),
    'prev': (
        "Indicates that the link's context is a part of a series, and that "
        "the previous in the series is the link target."
    ),
    'prev-archive': (
        "Refers to the immediately preceding archive resource."
    ),
    'preview': (
        "Refers to a resource that provides a preview of the link's context."
    ),
    'previous': (
        "Refers to the previous resource in an ordered series of resources. "
        "Synonym for \"prev\"."
    ),
    'privacy-policy': (
        "Refers to a privacy policy associated with the link's context."
    ),
    'profile': (
        "Identifying that a resource representation conforms to a certain "
        "profile, without affecting the non-profile semantics of the resource "
        "representation."
    ),
    'related': (
        "Identifies a related resource."
    ),
    'replies': (
        "Identifies a resource that is a reply to the context of the link."
    ),
    'search': (
        "Refers to a resource that can be used to search through the link's "
        "context and related resources."
    ),
    'section': (
        "Refers to a section in a collection of resources."
    ),
    'self': (
        "Conveys an identifier for the link's context."
    ),
    'service': (
        "Indicates a URI that can be used to retrieve a service document."
    ),
    'start': (
        "Refers to the first resource in a collection of resources."
    ),
    'stylesheet': (
        "Refers to a stylesheet."
    ),
    'subsection': (
        "Refers to a resource serving as a subsection in a collection of "
        "resources."
    ),
    'successor-version': (
        "Points to a resource containing the successor version in the version "
        "history."
    ),
    'tag': (
        "Gives a tag (identified by the given address) that applies to the "
        "current document."
    ),
    'terms-of-service': (
        "Refers to the terms of service associated with the link's context."
    ),
    'type': (
        "Refers to a resource identifying the abstract semantic type of which "
        "the link's context is considered to be an instance."
    ),
    'up': (
        "Refers to a parent document in a hierarchy of documents."
    ),
    'version-history': (
        "Points to a resource containing the version history for the context."
    ),
    'via': (
        "Identifies a resource that is the source of the information in the "
        "link's context."
    ),
    'working-copy': (
        "Points to a working copy for this resource."
    ),
    'working-copy-of': (
        "Points to the versioned resource from which this working copy was "
        "obtained."
    ),
}

# Obtained from http://data.iana.org/TLD/tlds-alpha-by-domain.txt
# TLD list version: 2013060200

tlds = set([ 'ac', 'ad', 'ae', 'aero', 'af', 'ag', 'ai', 'al', 'am',
    'an', 'ao', 'aq', 'ar', 'arpa', 'as', 'asia', 'at', 'au', 'aw',
    'ax', 'az', 'ba', 'bb', 'bd', 'be', 'bf', 'bg', 'bh', 'bi',
    'biz', 'bj', 'bm', 'bn', 'bo', 'br', 'bs', 'bt', 'bv', 'bw',
    'by', 'bz', 'ca', 'cat', 'cc', 'cd', 'cf', 'cg', 'ch', 'ci',
    'ck', 'cl', 'cm', 'cn', 'co', 'com', 'coop', 'cr', 'cu', 'cv',
    'cw', 'cx', 'cy', 'cz', 'de', 'dj', 'dk', 'dm', 'do', 'dz',
    'ec', 'edu', 'ee', 'eg', 'er', 'es', 'et', 'eu', 'fi', 'fj',
    'fk', 'fm', 'fo', 'fr', 'ga', 'gb', 'gd', 'ge', 'gf', 'gg',
    'gh', 'gi', 'gl', 'gm', 'gn', 'gov', 'gp', 'gq', 'gr', 'gs',
    'gt', 'gu', 'gw', 'gy', 'hk', 'hm', 'hn', 'hr', 'ht', 'hu',
    'id', 'ie', 'il', 'im', 'in', 'info', 'int', 'io', 'iq', 'ir',
    'is', 'it', 'je', 'jm', 'jo', 'jobs', 'jp', 'ke', 'kg', 'kh',
    'ki', 'km', 'kn', 'kp', 'kr', 'kw', 'ky', 'kz', 'la', 'lb',
    'lc', 'li', 'lk', 'lr', 'ls', 'lt', 'lu', 'lv', 'ly', 'ma',
    'mc', 'md', 'me', 'mg', 'mh', 'mil', 'mk', 'ml', 'mm', 'mn',
    'mo', 'mobi', 'mp', 'mq', 'mr', 'ms', 'mt', 'mu', 'museum',
    'mv', 'mw', 'mx', 'my', 'mz', 'na', 'name', 'nc', 'ne', 'net',
    'nf', 'ng', 'ni', 'nl', 'no', 'np', 'nr', 'nu', 'nz', 'om',
    'org', 'pa', 'pe', 'pf', 'pg', 'ph', 'pk', 'pl', 'pm', 'pn',
    'post', 'pr', 'pro', 'ps', 'pt', 'pw', 'py', 'qa', 're', 'ro',
    'rs', 'ru', 'rw', 'sa', 'sb', 'sc', 'sd', 'se', 'sg', 'sh',
    'si', 'sj', 'sk', 'sl', 'sm', 'sn', 'so', 'sr', 'st', 'su',
    'sv', 'sx', 'sy', 'sz', 'tc', 'td', 'tel', 'tf', 'tg', 'th',
    'tj', 'tk', 'tl', 'tm', 'tn', 'to', 'tp', 'tr', 'travel', 'tt',
    'tv', 'tw', 'tz', 'ua', 'ug', 'uk', 'us', 'uy', 'uz', 'va',
    'vc', 've', 'vg', 'vi', 'vn', 'vu', 'wf', 'ws', 'xxx', 'ye',
    'yt', 'za', 'zm', 'zw',
])
